'use strict';
const execSync = require('./exec_sync');
const distpath = require('path').normalize(process.env.TMPDIR + 'dist/');

/**
 * `installNodeModules` does exactly what you expect:
 * installs the node_modules required to run your lambda function.
 */
module.exports = function installNodeModules () {
  const pwd = process.cwd(); // get current working directory
  console.log('pwd:', pwd);
  console.log('distpath:', distpath);
  process.chdir(distpath); // change to /dist directory
  const cmd = 'npm install --omit=dev'; // install only prod node_modules
  execSync(cmd); // execute command synchronously
  return process.chdir(pwd); // change back to original directory
};
