'use strict';
const test = require('tape');
const path = require('path');
const utils = require('../lib/utils');
const copyfiles = require('../lib/copyfiles');
const installnodemodules = require('../lib/install_node_modules');

test('install production node_modules only', async function (t) {
  const distpath = path.normalize(process.env.TMPDIR + 'dist/');
  copyfiles();
  installnodemodules();
  const awspkg = path.resolve(distpath, 'node_modules/@aws-sdk/client-lambda/package.json');
  const pkg = require(awspkg);
  t.deepEqual(pkg.name, '@aws-sdk/client-lambda');
  utils.deleteDirContents(distpath, true); // cleanup for next test
  t.end();
});
